<h2 mat-dialog-title class="title">Caution!</h2>
<div mat-dialog-content>
  <p
    *ngIf="data; else dataLoss"
    class="content-container">
    Changing the processing job will result in all changes being discarded!
  </p>
  <ng-template #dataLoss>
    <p
      class="content-container">
      Your actions were not saved and will be lost if you continue!
    </p>
  </ng-template>
</div>
<div mat-dialog-actions class="button-container">
  <button mat-flat-button color="primary" [mat-dialog-close]="undefined">Close</button>
  <button mat-flat-button color="warn" [mat-dialog-close]="true">Dismiss changes</button>
</div>
